<?php

class PageContentWidget extends Widget {

	static $db = array(
		"WidgetTitle" => "Varchar(255)",
		"PageID" => "Int"
	);
	
	static $defaults = array(
		"WidgetTitle" => 'Page Content',
		"PageID" => 0
	);
	
	static $title = "Page Content";
	static $cmsTitle = "Page Content";
	static $description = "Display main body content from a different page in the site.";
	
	function Title() {
		return $this->WidgetTitle ? $this->WidgetTitle : self::$title;
	}
	
	function getCMSFields() {
	
		//Get list of titles
		$obj = 'SiteTree';
		//adding Sort != 0 will remove Blog Posts and Forum Topics
		$filter = "Status = 'Published' AND Sort != 0";
		$sort = 'Title ASC';
		$join = '';
		$limit = '';
		$records = DataObject::get($obj, $filter, $sort, $join, $limit);
		
		//add each page title into a dropdown menu along with it's page ID
		$dropDownArray = array();
		if($records->exists()) foreach( $records as $record ) {
			$dropDownArray[$record->ID] = $record->Title;
		}
	
		return new FieldSet(
			new TextField("WidgetTitle", "Widget Title"),
			new DropdownField(
			   $name = "PageID",
			   $title = "Page to display content from:",
			   $source = $dropDownArray
			)
		);
	}
	
	function output() {
		
		//Get actual page content
		//Total query should look something like this:
		//SELECT * FROM SiteTree WHERE id = 9 LIMIT 1
		$obj = 'SiteTree';
		$id = $this->PageID;
		$record = DataObject::get_by_id($obj,$id);
		
		return $record->Content;
	}
}